a13nDocs
API 参考指标数据源

列出指标数据源

GET/api/v1/metrics-data-sources

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

查询参数

limit?Limit
范围1 <= value <= 100
默认值50
cursor?string|null

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/metrics-data-sources"
{  "items": [    {      "builtin": true,      "config": {        "collection": "native",        "collector": "vmagent",        "export": {          "endpoint": "string",          "interval_seconds": 30,          "protocol": "http/protobuf"        },        "query": {          "endpoint": "string",          "scope_labels": {}        }      },      "created_at": "2019-08-24T14:15:22Z",      "created_by_id": "string",      "enabled": true,      "has_export_credentials": true,      "has_query_credentials": true,      "id": "string",      "name": "string",      "organization_id": "string",      "updated_at": "2019-08-24T14:15:22Z",      "updated_by_id": "string",      "version": 0,      "workspace_id": "string"    }  ],  "next_cursor": "string"}